Bug 442569 (F10_XenPvOps)

Summary: F-10 pv_ops based kernel-xen tracker
Product: [Fedora] Fedora Reporter: Mark McLoughlin <markmc>
Component: distributionAssignee: Xen Maintainance List <xen-maint>
Status: CLOSED CURRENTRELEASE QA Contact: Bill Nottingham <notting>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: clalance, david, dcantrell, deshantm, ehabkost, nareshsukhija, ralston, rvokal
Target Milestone: ---Keywords: Tracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-10-22 15:55:02 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 437358, 437947, 451170, 456101, 456104, 456558, 456559    
Bug Blocks:    

Description Mark McLoughlin 2008-04-15 15:38:06 UTC
Tracker bug for pv_ops based kernel-xen in F-10.

See:

  http://fedoraproject.org/wiki/Features/XenPvopsDom0

Comment 1 Marco Crociani 2008-06-16 11:56:31 UTC
(In reply to comment #0)
> Tracker bug for pv_ops based kernel-xen in F-10.
> 
> See:
> 
>   http://fedoraproject.org/wiki/Features/XenPvopsDom0

Hi, on http://fedoraproject.org/wiki/Features/XenPvopsDom0 I see "Percentage of
completion: 30%" and "Last updated: 2008-03-17". 
Are there some news? Today is Percentage of completion about 31%, 35%, 40%?

Comment 2 John Poelstra 2008-07-03 23:39:39 UTC
triaged

Comment 3 Naresh Sukhija 2008-07-14 13:54:06 UTC
Hi,

I would like to get an initial test build of Dom0 kernel-xen (i386 or x86_64) to
test and help with the faster development. I have serial connection to my PC
(AMD Athlon64 2800+)

Thanks and Regards,

Naresh

Comment 4 Mark McLoughlin 2008-07-21 15:35:22 UTC
Some updates from the fedora-xen mailing list:

  https://www.redhat.com/archives/fedora-xen/2008-July/msg00036.html



Comment 5 Naresh Sukhija 2008-09-11 09:32:10 UTC
Hi,

I'm happy that we've only one bug 438002 to be resolved before we can get the Dom0  (i386) support back to Fedora. I'm eagerly waiting for that moment

Comment 6 Mark McLoughlin 2008-09-11 10:31:04 UTC
This bug is merely tracking xen DomU kernel bugs for F10 now. Dom0 support is no longer planned for F10.

See:

  http://fedoraproject.org/wiki/Features/XenPvopsDom0

  "Work on getting Dom0 support in the upstream kernel has pretty much stalled for 
   the last number of months so this feature is postponed until work upstream 
   restarts."

However, now that there is no separate kernel-xen package, Dom0 support will be available in the Fedora kernel as soon as it is ready upstream.

The latest progress upstream is that Jeremy Fitzhardinge has posted some initial patches to prepare the way for Dom0 support:

  http://lkml.org/lkml/2008/9/7/118

Comment 7 Mark McLoughlin 2008-11-07 10:16:07 UTC
Removing this from F10Blocker - there's no blockers left here.

Comment 8 Chris Lalancette 2009-10-22 15:55:02 UTC
I'm going to close this out, F-10 is released, and any real new work is going to go on in F-12.

Chris Lalancette